package com.ibiz5.api.productapi.resource;

import java.util.List;

import com.ibiz5.sample.domain.IBZ5CPU;
import com.ibiz5.sample.service.IBZ5CPUService;
import com.ibiz5.sample.service.dto.IBZ5CPUSearchFilter;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cglib.beans.BeanCopier;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;
import com.ibiz5.api.productapi.dto.*;
import com.alibaba.fastjson.JSONObject;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiResponse;
import io.swagger.annotations.ApiResponses;

@Api(tags = {"IBZ5CPU" })
@RestController
@RequestMapping("/rest/productapi/ibz5cpu")
public class IBZ5CPUResource {

    @Autowired
    private IBZ5CPUService ibz5cpuService;

	@ApiOperation(value = "Create", tags = {"IBZ5CPU" },  notes = "Create")
    @RequestMapping(method= RequestMethod.POST , value="")
	public IBZ5CPUDTO createIBZ5CPU(@RequestBody IBZ5CPUDTO dto) {
		IBZ5CPU po = dto.toPO();
		ibz5cpuService.create(po);
		dto.fromPO(po);
		return dto;
	}

	@ApiOperation(value = "Update", tags = {"IBZ5CPU" },  notes = "Update")
    @RequestMapping(method= RequestMethod.PUT , value="/{ibz5cpuid}")
	public IBZ5CPUDTO updateIBZ5CPU(@PathVariable String ibz5cpuid,@RequestBody IBZ5CPUDTO dto) {
		IBZ5CPU po = dto.toPO();
		po.setIbz5cpuid(ibz5cpuid);
		ibz5cpuService.update(po);
		dto.fromPO(po);
		return dto;
	}

}
