package com.ibiz5.api.productapi.resource;

import java.util.List;

import com.ibiz5.sample.domain.IBZ5STORAGE;
import com.ibiz5.sample.service.IBZ5STORAGEService;
import com.ibiz5.sample.service.dto.IBZ5STORAGESearchFilter;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cglib.beans.BeanCopier;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;
import com.ibiz5.api.productapi.dto.*;
import com.alibaba.fastjson.JSONObject;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiResponse;
import io.swagger.annotations.ApiResponses;

@Api(tags = {"IBZ5STORAGE" })
@RestController
@RequestMapping("/rest/productapi/ibz5storage")
public class IBZ5STORAGEResource {

    @Autowired
    private IBZ5STORAGEService ibz5storageService;

	@ApiOperation(value = "Create", tags = {"IBZ5STORAGE" },  notes = "Create")
    @RequestMapping(method= RequestMethod.POST , value="")
	public IBZ5STORAGEDTO createIBZ5STORAGE(@RequestBody IBZ5STORAGEDTO dto) {
		IBZ5STORAGE po = dto.toPO();
		ibz5storageService.create(po);
		dto.fromPO(po);
		return dto;
	}

	@ApiOperation(value = "Update", tags = {"IBZ5STORAGE" },  notes = "Update")
    @RequestMapping(method= RequestMethod.POST , value="/{ibz5storageid}")
	public IBZ5STORAGEDTO updateIBZ5STORAGE(@PathVariable String ibz5storageid,@RequestBody IBZ5STORAGEDTO dto) {
		IBZ5STORAGE po = dto.toPO();
		po.setIbz5storageid(ibz5storageid);
		ibz5storageService.update(po);
		dto.fromPO(po);
		return dto;
	}

}
