package com.ibiz5.boot;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.boot.web.servlet.support.SpringBootServletInitializer;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.ComponentScans;
import org.springframework.context.annotation.AnnotationBeanNameGenerator;
import com.alibaba.druid.spring.boot.autoconfigure.DruidDataSourceAutoConfigure;
import com.ibiz5.config.liquibase.MasterProperties;
import org.springframework.boot.context.properties.EnableConfigurationProperties;

@SpringBootApplication(exclude = {
 org.springframework.boot.autoconfigure.security.servlet.SecurityAutoConfiguration.class,
	    org.springframework.boot.autoconfigure.security.oauth2.client.OAuth2ClientAutoConfiguration.class,
	    org.springframework.boot.autoconfigure.security.oauth2.OAuth2AutoConfiguration.class,
		DruidDataSourceAutoConfigure.class,
	    org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration.class, 
	    org.springframework.boot.autoconfigure.orm.jpa.HibernateJpaAutoConfiguration.class
	})
@ComponentScans({
@ComponentScan(basePackages = {"com.ibiz5"}

				),
})
@MapperScan("com.ibiz5.*.mapper")
@EnableConfigurationProperties({MasterProperties.class})
//@EnableFeignClients(basePackages = {"com.ibiz5" })
//@EnableEurekaClient
public class sampleMain extends SpringBootServletInitializer{

	public static void main(String[] args) {
		try {
			SpringApplicationBuilder builder = new SpringApplicationBuilder(sampleMain.class);
            builder.run(args) ;
		}catch (Exception e) {
    		e.printStackTrace();
    	}
	}

}