package com.ibiz5.sample.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import java.util.Map;
import org.apache.ibatis.annotations.Select;
import com.ibiz5.sample.domain.IBZ5CPU;
import com.ibiz5.sample.service.dto.IBZ5CPUSearchFilter;
import org.springframework.cache.annotation.CacheEvict;
import org.springframework.cache.annotation.Cacheable;
import java.io.Serializable;
import com.baomidou.mybatisplus.core.toolkit.Constants;

public interface IBZ5CPUMapper extends BaseMapper<IBZ5CPU>{

    List<IBZ5CPU> searchDefault(@Param("srf") IBZ5CPUSearchFilter searchfilter,@Param("ew") Wrapper<IBZ5CPU> wrapper) ;
    Page<IBZ5CPU> searchDefault(IPage page, @Param("srf") IBZ5CPUSearchFilter searchfilter, @Param("ew") Wrapper<IBZ5CPU> wrapper) ;
    @Select("${sql}")
    List<Map<String,Object>> selectRow( @Param("sql")String sql);
    @Override
    @Cacheable( value="entity",key = "'IBZ5CPU:'+#p0")
    IBZ5CPU selectById(Serializable id);
    @Override
    @CacheEvict( value="entity",key = "'IBZ5CPU:'+#p0.ibz5cpuid")
    int insert(IBZ5CPU entity);
    @Override
    @CacheEvict( value="entity",key = "'IBZ5CPU:'+#p0.ibz5cpuid")
    int updateById(@Param(Constants.ENTITY) IBZ5CPU entity);
    @Override
    @CacheEvict( value="entity",key = "'IBZ5CPU:'+#p0")
    int deleteById(Serializable id);
    Page<IBZ5CPU> selectPermission(IPage page,@Param("pw") Wrapper<IBZ5CPU> wrapper) ;
}