package com.ibiz5.sample.service.dto;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ibiz5.ibizutil.domain.ParentData;
import com.ibiz5.sample.domain.IBZ5ORDERDETAIL;
import org.springframework.util.StringUtils;
import lombok.Data;
import java.util.Map;
import java.sql.Timestamp;
import com.ibiz5.ibizutil.service.SearchFilterBase;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ibiz5.ibizutil.domain.DataObj;
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class IBZ5ORDERDETAILSearchFilter extends SearchFilterBase {

	private String query;
	private Page page;
	private QueryWrapper<IBZ5ORDERDETAIL> selectCond;
	public IBZ5ORDERDETAILSearchFilter(){
		this.page =new Page<IBZ5ORDERDETAIL>(1,Short.MAX_VALUE);
		this.selectCond=new QueryWrapper<IBZ5ORDERDETAIL>();	
	}
	/**
	 * 设定自定义查询条件，在原有SQL基础上追加该SQL
	 */
	public void setCustomCond(String sql)
	{
		this.selectCond.apply(sql);
	}
	/**
	 * 获取父数据
	 * @param srfparentdata
	 */
	public void setSrfparentdata(DataObj srfparentdata) {
		this.srfparentdata = srfparentdata;
		String strParentkey=this.getSrfparentdata().getStringValue("srfparentkey");
		if(this.srfparentdata.containsKey("srfparentmode")&& this.getSrfparentdata().get("srfparentmode").equals("DER1N_IBZ5ORDERDETAIL_IBZ5UNIPRODUCT_IBZ5UNIPRODUCTID"))
			if(StringUtils.isEmpty(strParentkey)){
				this.setN_ibz5uniproductid_eq("NA");
			}
			else{
				this.setN_ibz5uniproductid_eq(strParentkey);
			}
		if(this.srfparentdata.containsKey("srfparentmode")&& this.getSrfparentdata().get("srfparentmode").equals("DER1N_IBZ5ORDERDETAIL_IBZ5ORDER_IBZ5ORDERID"))
			if(StringUtils.isEmpty(strParentkey)){
				this.setN_ibz5orderid_eq("NA");
			}
			else{
				this.setN_ibz5orderid_eq(strParentkey);
			}
	}
	/**
	 * 启用快速搜索
	 */
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
			this.selectCond.or().like("ibz5orderdetailname",query);
		 }
	}
	/**
	 * 输出实体搜索项
	 */
	private String n_ibz5orderdetailname_like;//[IBZ5ORDERDETAIL名称]
	public void setN_ibz5orderdetailname_like(String n_ibz5orderdetailname_like) {
        this.n_ibz5orderdetailname_like = n_ibz5orderdetailname_like;
        if(!StringUtils.isEmpty(this.n_ibz5orderdetailname_like)){
            this.selectCond.like("ibz5orderdetailname", n_ibz5orderdetailname_like);
        }
    }
	private String n_ibz5uniproductid_eq;//[统一产品（索引主实体）标识]
	public void setN_ibz5uniproductid_eq(String n_ibz5uniproductid_eq) {
        this.n_ibz5uniproductid_eq = n_ibz5uniproductid_eq;
        if(!StringUtils.isEmpty(this.n_ibz5uniproductid_eq)){
            this.selectCond.eq("ibz5uniproductid", n_ibz5uniproductid_eq);
        }
    }
	private String n_ibz5uniproductname_eq;//[统一产品（索引主实体）名称]
	public void setN_ibz5uniproductname_eq(String n_ibz5uniproductname_eq) {
        this.n_ibz5uniproductname_eq = n_ibz5uniproductname_eq;
        if(!StringUtils.isEmpty(this.n_ibz5uniproductname_eq)){
            this.selectCond.eq("ibz5uniproductname", n_ibz5uniproductname_eq);
        }
    }
	private String n_ibz5uniproductname_like;//[统一产品（索引主实体）名称]
	public void setN_ibz5uniproductname_like(String n_ibz5uniproductname_like) {
        this.n_ibz5uniproductname_like = n_ibz5uniproductname_like;
        if(!StringUtils.isEmpty(this.n_ibz5uniproductname_like)){
            this.selectCond.like("ibz5uniproductname", n_ibz5uniproductname_like);
        }
    }
	private String n_ibz5ordername_eq;//[订单名称]
	public void setN_ibz5ordername_eq(String n_ibz5ordername_eq) {
        this.n_ibz5ordername_eq = n_ibz5ordername_eq;
        if(!StringUtils.isEmpty(this.n_ibz5ordername_eq)){
            this.selectCond.eq("ibz5ordername", n_ibz5ordername_eq);
        }
    }
	private String n_ibz5ordername_like;//[订单名称]
	public void setN_ibz5ordername_like(String n_ibz5ordername_like) {
        this.n_ibz5ordername_like = n_ibz5ordername_like;
        if(!StringUtils.isEmpty(this.n_ibz5ordername_like)){
            this.selectCond.like("ibz5ordername", n_ibz5ordername_like);
        }
    }
	private String n_ibz5orderid_eq;//[订单标识]
	public void setN_ibz5orderid_eq(String n_ibz5orderid_eq) {
        this.n_ibz5orderid_eq = n_ibz5orderid_eq;
        if(!StringUtils.isEmpty(this.n_ibz5orderid_eq)){
            this.selectCond.eq("ibz5orderid", n_ibz5orderid_eq);
        }
    }

}