package com.ibiz5.sample.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ibiz5.sample.mapper.IBZ5CUSTOMERMapper;
import com.ibiz5.sample.domain.IBZ5CUSTOMER;
import com.ibiz5.sample.service.IBZ5CUSTOMERService;
import com.ibiz5.ibizutil.service.ServiceImplBase;
import com.ibiz5.sample.service.dto.IBZ5CUSTOMERSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.ibiz5.ibizutil.annotation.PreField;
import java.lang.reflect.Field;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;


/**
 * 实体[IBZ5CUSTOMER] 服务对象接口实现
 */
@Service
public class IBZ5CUSTOMERServiceImpl extends ServiceImplBase<IBZ5CUSTOMERMapper, IBZ5CUSTOMER> implements IBZ5CUSTOMERService{

    @Resource
    private IBZ5CUSTOMERMapper ibz5customerMapper;

    @Override
    public boolean create(IBZ5CUSTOMER et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(IBZ5CUSTOMER et){
        this.beforeUpdate(et);
		this.ibz5customerMapper.updateById(et);
		this.get(et);
		return true;
    }
    public Object getEntityKey(IBZ5CUSTOMER et){
		return et.getIbz5customerid();  
    }
    @Override
    public boolean getDraft(IBZ5CUSTOMER et)  {
            return true;
    }
	public List<IBZ5CUSTOMER> listDefault(IBZ5CUSTOMERSearchFilter filter) {
		return ibz5customerMapper.searchDefault(filter,filter.getSelectCond());
	}
	public Page<IBZ5CUSTOMER> searchDefault(IBZ5CUSTOMERSearchFilter filter) {
		return ibz5customerMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}
    public  List<Map<String,Object>> selectRow(String sql){
       return ibz5customerMapper.selectRow(sql);
    }
    @Override
    public Page<IBZ5CUSTOMER> selectPermission(QueryWrapper<IBZ5CUSTOMER> selectCond) {
        return ibz5customerMapper.selectPermission(new IBZ5CUSTOMERSearchFilter().getPage(),selectCond);
    }
 }