package com.ibiz5.sample.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ibiz5.sample.mapper.IBZ5ORDERDETAILMapper;
import com.ibiz5.sample.domain.IBZ5ORDERDETAIL;
import com.ibiz5.sample.service.IBZ5ORDERDETAILService;
import com.ibiz5.ibizutil.service.ServiceImplBase;
import com.ibiz5.sample.service.dto.IBZ5ORDERDETAILSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.ibiz5.ibizutil.annotation.PreField;
import java.lang.reflect.Field;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;

import com.ibiz5.sample.service.IBZ5ORDERService;
import com.ibiz5.sample.service.IBZ5UNIPRODUCTService;

/**
 * 实体[IBZ5ORDERDETAIL] 服务对象接口实现
 */
@Service
public class IBZ5ORDERDETAILServiceImpl extends ServiceImplBase<IBZ5ORDERDETAILMapper, IBZ5ORDERDETAIL> implements IBZ5ORDERDETAILService{

    @Autowired
    private IBZ5ORDERService ibz5orderService;
    @Autowired
    private IBZ5UNIPRODUCTService ibz5uniproductService;
    @Resource
    private IBZ5ORDERDETAILMapper ibz5orderdetailMapper;

    @Override
    public boolean create(IBZ5ORDERDETAIL et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(IBZ5ORDERDETAIL et){
        this.beforeUpdate(et);
		this.ibz5orderdetailMapper.updateById(et);
		this.get(et);
		return true;
    }
    public Object getEntityKey(IBZ5ORDERDETAIL et){
		return et.getIbz5orderdetailid();  
    }
    @Override
    public boolean getDraft(IBZ5ORDERDETAIL et)  {
    if((!StringUtils.isEmpty(et.getIbz5orderid())) && et.getIbz5order() == null){
            try {
                et.setIbz5order(ibz5orderService.getById(et.getIbz5orderid()));
            }catch (Exception ex){}
        }
    if((!StringUtils.isEmpty(et.getIbz5uniproductid())) && et.getIbz5uniproduct() == null){
            try {
                et.setIbz5uniproduct(ibz5uniproductService.getById(et.getIbz5uniproductid()));
            }catch (Exception ex){}
        }
            return true;
    }
	public List<IBZ5ORDERDETAIL> listDefault(IBZ5ORDERDETAILSearchFilter filter) {
		return ibz5orderdetailMapper.searchDefault(filter,filter.getSelectCond());
	}
	public Page<IBZ5ORDERDETAIL> searchDefault(IBZ5ORDERDETAILSearchFilter filter) {
		return ibz5orderdetailMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}
    public  List<Map<String,Object>> selectRow(String sql){
       return ibz5orderdetailMapper.selectRow(sql);
    }
    @Override
    public Page<IBZ5ORDERDETAIL> selectPermission(QueryWrapper<IBZ5ORDERDETAIL> selectCond) {
        return ibz5orderdetailMapper.selectPermission(new IBZ5ORDERDETAILSearchFilter().getPage(),selectCond);
    }
 }