package com.ibiz5.sample.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ibiz5.sample.mapper.INT_ORDERMapper;
import com.ibiz5.sample.domain.INT_ORDER;
import com.ibiz5.sample.service.INT_ORDERService;
import com.ibiz5.ibizutil.service.ServiceImplBase;
import com.ibiz5.sample.service.dto.INT_ORDERSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.ibiz5.ibizutil.annotation.PreField;
import java.lang.reflect.Field;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;


/**
 * 实体[INT_ORDER] 服务对象接口实现
 */
@Service
public class INT_ORDERServiceImpl extends ServiceImplBase<INT_ORDERMapper, INT_ORDER> implements INT_ORDERService{

    @Resource
    private INT_ORDERMapper int_orderMapper;

    @Override
    public boolean create(INT_ORDER et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(INT_ORDER et){
        this.beforeUpdate(et);
		this.int_orderMapper.updateById(et);
		this.get(et);
		return true;
    }
    public Object getEntityKey(INT_ORDER et){
		return et.getInt_orderid();  
    }
    @Override
    public boolean getDraft(INT_ORDER et)  {
            return true;
    }
	public List<INT_ORDER> listDefault(INT_ORDERSearchFilter filter) {
		return int_orderMapper.searchDefault(filter,filter.getSelectCond());
	}
	public Page<INT_ORDER> searchDefault(INT_ORDERSearchFilter filter) {
		return int_orderMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}
    public  List<Map<String,Object>> selectRow(String sql){
       return int_orderMapper.selectRow(sql);
    }
    @Override
    public Page<INT_ORDER> selectPermission(QueryWrapper<INT_ORDER> selectCond) {
        return int_orderMapper.selectPermission(new INT_ORDERSearchFilter().getPage(),selectCond);
    }
 }